
Redmine - Feature #22915

Additional filetypes (tif,tiff) for thumbnails generation

2016-05-27 16:29 - kay rus

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

This patch will allow to generate thumbnails for the first page of pdf/tiff files.

Related issues:

Related to Redmine - Feature #22481: Show thumbnails for PDF attachments Closed

History

#1 - 2016-05-27 16:49 - kay rus

Oh man, #22481

I've created my patch more than year ago, and only today found time to submit it properly. Anyway, we can merge our patches somehow.

#2 - 2016-05-31 13:04 - kay rus

https://github.com/endocode/redmine/commits/3.2-improvements - our working branch

#3 - 2016-06-12 16:52 - Go MAEDA

- Related to Feature #22481: Show thumbnails for PDF attachments added

#4 - 2017-06-09 00:52 - Mischa The Evil

- Subject changed from Additional filetypes (pdf,tif,tiff) for thumbnails generation to Additional filetypes (tif,tiff) for thumbnails generation

- Category changed from UI to Attachments

I've modified the subject according to what is going to be covered by this issue. PDF thumbnail support is handled through issue #22481.

I target this issue to 3.4.0 to get it introduced together with #22481. Please correct this if decided otherwise.

Small note: this patched implementation needs to be adjusted to meet the changes of r16092.

#5 - 2017-06-09 00:53 - Mischa The Evil

- Target version set to 3.4.0

#6 - 2017-06-10 10:33 - Jean-Philippe Lang

- Target version changed from 3.4.0 to 4.1.0

#22481 is not ready for 3.4.0. Note that this patch conflicts with #22481.

#7 - 2019-05-25 07:54 - Go MAEDA

- Target version changed from 4.1.0 to Candidate for next major release

Removing this issue from 4.1.0 because another patch #22481 which adds PDF thumbnails support was committed and we need a new updated

patch in order to support TIFF thumbnails.

Files

pdf_thumbnails.patch 10.5 KB 2016-05-27 kay rus
